class Issue {
  String? title;
  String? userId;
  List<int>? reports;
  String? serviceRequestId;
  String? description;
  bool? isSelected;

  Issue({
    this.description,
    this.isSelected,
    this.title,
    this.userId,
    this.reports,
    this.serviceRequestId,
  });

  Map<String, String> toMap() {
    Map<String, String> map = {};
    if (title != null) map["title"] = title!;
    if (reports != null) map["issue_report"] = reports!.toString();
    if (userId != null) map["uid"] = userId!;
    if (description != null) map["desc"] = description!;
    if (serviceRequestId != null) map["call_id"] = serviceRequestId!;
    return map;
  }
}
